
use ${dd}\ed_episodes_cleaned.dta, clear

*collapse to hospital year level
gen total_eps_fac=1
collapse(sum) oon_ind total_eps_fac (first) provider_name_c state emcare_hosp emcare_entry_ind teamhealth_entry_ind, by(aha year_start)

*OON rate at hospital year level 
bysort aha year_start: gen inout_ratio=oon_ind/total_eps_fac

*Looking at hospitals in 2011
keep if year_start==2011

summ inout_ratio
loc m1=r(mean)

graph set window fontface "Times New Roman"

*Kernel density for distribution of OON rates across hospitals
local blue `""33 102 172""'
local red `""178 24 43""'
twoway(kdensity inout_ratio, lcolor(`blue')), ///
xline(`m1', lcolor(`blue')) xtitle("Out-of-Network Rate") || scatteri 0 1, msymbol(i) xaxis(2) xtitle("", axis(2)) xscale(noline range(0 1) axis(2)) ///
xlab(.29 `""Mean OON Rate" "0.29""',  labsize(small) axis(2)) ///
legend(pos(14) order(1 "Distribution of Hospital Out-of-Network Rate, 2011"))

graph export ${o}\final_figures\kdensity_2011.png, width(1500) height(1000) as(png) replace
